Subject: cygwin32 X11 problem
From: [email-masked] (Michael Anderson)

19 Nov 1997 23:28:10 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Hi:

I'm having trouble getting X11 and fvwm going on my setup:

NT4sp3
X11 from niteroi.gsfc.nasa.gov, installed according to its
instructions.  cygwin.dll, libcygwin.a, bash.exe, and ps.exe from the
b18-patch directory.

xpm-3.4j for fvwm, compiled on my machine.

fvwm-1.24r (I prefer it over fvwm2), compiled on my machine.

MI/X X server, installed according to its instructions.

I've made sure there is only one copy of cygwin.dll
and libcygwin.a on the machine. The new version of bash
is also in /bin.

environment variables:
CYGWIN_TTY=1
CYWIN_TITLE=1
DISPLAY=BOGUS:0.0   (bogus is the machine name, localhost doesn't
                     make any difference.)

/etc/passwd and /etc/group as created by mkpasswd -l
and mkpasswd -g respectively.

I start the MI/X server either by its icon, or from
the dos box. If I start it from the bash prompt, I
don't get the prompt back until the server terminates.

After starting the server, I attempt to start fvwm from
either bash or the dos box, and I get the following
error message:
"The application failed to initialize properly (0Xc000007b)"

I'm probably doing something out of order or otherwise missing
something simple and obvious. Any ideas?

Thanks,

Mike Anderson
[email-masked]
Guanajuato, GTO, Mexico
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".